local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.ABeginnersGuideToGoldMaking(container)




local frame = AceGUI:Create("Frame")
frame:SetTitle("A Beginners Guide To Gold Making")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125What Methods Are There?")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Gold Making has Three main Gold Making methods these are, Farming, Crafting and Flipping. Each of these methods have there Pros and Cons, where some take more time than other and some requiring an initial investment of gold. So With that covered, lets dive in")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Farming:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("One of the most common of the methods and also the one most people adopt as this method provides the easiest barrier to entry. This can be done with the core Gathering professions, Mining, Herbalism, Skinning and also Fishing. The most common of which is Herbalism paired along side a Druid as this class can gather Herbs while still being in Flight form. Alas if you do not own a druid you can achieve the same effect by using the Sky Golem mount on other Classes.If you are choosing to Farm with one or two of these Gathering Professions, I would always recommend starting your farms in Current Content as these will sell fast and provide you with the quickest returns for your time. However, if you are looking for higher returns then Older Content is King!, a good starting place for this is Mining and Herbalism in Cataclysm zones as these materials are always in demand too.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
 
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space) 
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Crafting:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The Fundamental principle for Crafting is quite simple. You will need to find what is profitable to craft and then source the materials either that by buying the materials off of the auction house or farming these materials yourself. However, farming the materials can take quite a while for your crafts. A better option is too invest some of your existing gold into crafting a batch of items for a profit. This is the most common method of crafting but this reduces the time your spend on gold making as opposed to Farming on a gold per hour basis. Crafting may have that barrier to entry but the scalability of investing with gold not only saves time but also increases your range of crafts so you are able to sell more items, which means in the long run you'll make more for your time. A good place to start is by getting into the utility market, meaning, Cooking, Inscription, Alchemy Enchanting. By doing these you'll be able to learn overtime what works and what does not, however, you are able to gage what works by looking at what Is profitable and then checking the Sell Rate for That item. My general rule of thumb for someone just getting started is 0.1 Sell Rate at a 120% Crafting Value. This is so you get 20% Profit with a strong sell rate, decreasing the risk of profit loss. Getting into crafting maybe daunting but I would start with Current Content items like Meals, Feasts, Pots and Flasks because these are all good sellers and generally give good returns and are always in demand. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
   local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Flipping:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("There are multiple ways to do Flipping but there are typically three types I would like to cover which are Shuffling Flips, Vendor Flips and Auction House Flips. Shuffling flips are quite popular, a common one that is tried and true is Disenchanting paired with Tailoring. This is where you will craft Bracers Typically Current Content ones and then Disenchant them for the Enchanting materials which sell on for a profit.Tailoring bracer's are used the most because Cloth is super cheap overall which makes it great for this type of shuffle and you are able to sell the Enchanting mats from the crafted bracers for a profit most of the time.Vendor Flips are a way of taking one item to a vendor and exchanging it for another for a higher value. A common one is the Sprit of Harmony Vendor Flip. This is where you buy Spirit of Harmony and trade them for the materials offered by the vendor for a higher mark up. The best ones are typically Black and White Trillium Ore as this sells better then most of the others. As for the Last Flipping Method of Auction House Flipping. This is where you will search the auction house for undervalued items like BOE's. Most common of which is Current Content boe's, ideally World Drops and Low Drop Chance Transmog. These are the ones that can net you the most amount of gold but of course with this method of buying to resell for a higher markup does run the risk of losing gold. But it is wise to take this into account if you want to start flipping on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)
  
    local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Addons:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Addons can be a Great way of helping you make gold. The main one I would suggest and the one most people will tell you to get is TradeSkillMaster or TSM for Short. This addon manages you stock of items, Runs posting and cancels scans to the auction with pricing your crafts and farmed items. Along with aiding you craft items for a profit. If you have not used TSM before then there are multiple guide on it but overall this is your must addon. Another addon that can aid you is one that I Created along with my friend Callan, which is WorthIt. This is for Farming where it will use TSM's Prices and predict what the Gold Per Hour of a gold farm will be for you before you do it while also providing routes to follow and many other features.Lastly for addons that beginner's should have is Loot Appraiser, this addon will track items while you are farming and add there value to a total score meaning that you are able to track your Gold Per Hour much easier in a given Farming Session.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)  
  
  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Conclusion:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("The overall way of making gold is to either invest your time or gold into farming or creating items for a profit. So in conclusion Farming is better when starting out for fast sales and Crafting is more Scalable and can yield more gold in the long run. While Flipping is more of a high risk high reward type effort and should only be done if you are okay with loosing your gold if the gamble does not pay off. So hopefully this ties up any questions you might have about Gold Making and if you have any other questions let me know in the comments and I can answer them for you.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)











end